Subject: Re: [netmod] issue Y56 UTF8 non-characters

From: Randy Presuhn <[email-masked]>
Date: Tue, 28 Oct 2014 13:24:24 -0700 (GMT-07:00)

Hi -

>From: Martin Bjorklund <[email-masked]>
>Sent: Oct 27, 2014 7:11 AM
>To: [email-masked]
>Cc: [email-masked]
>Subject: Re: [netmod] issue Y56 UTF8 non-characters
>
>Randy Presuhn <[email-masked]> wrote:
>> Hi -
>> 
>> >From: Martin Bjorklund <[email-masked]>
>> >Sent: Oct 24, 2014 4:22 PM
>> >To: [email-masked]
>> >Subject: [netmod] issue Y56 UTF8 non-characters
>> ...
>> >I think we should have the same rules for the YANG module as for the
>> >"string" built-in type.
>> ...
>> 
>> I'd question that.  For the YANG module itself I think it
>> would probably be a good idea to specify a normalization form,
>
>Ok.  What is you suggestion?  A YANG module MUST be normalized
>according to NFC (or which one?)

I'd have a *very* slight preference for NFD, since it looks a bit
easier to generate according to http://www.unicode.org/reports/tr15/
but I think it would be good to ask an expert.  Probably the most
important thing is to just *pick* *one*.

In any case, this needs to be in narrower terms than "YANG module".
It would not be good to break RFC 6020 section 9.4.2.

Randy

---

From: Martin Bjorklund <[email-masked]>
Date: Tue, 28 Oct 2014 21:43:41 +0100 (CET)

> important thing is to just *pick* *one*.

Ok.

> In any case, this needs to be in narrower terms than "YANG module".

Can you elaborate, I do not understand what you mean.

> It would not be good to break RFC 6020 section 9.4.2.

... specifically I do not understand how this section would be
affected?

/martin

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 28 Oct 2014 21:46:38 +0100

> ... specifically I do not understand how this section would be

Perhaps Randy asks what happens to default values?

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Martin Bjorklund <[email-masked]>
Date: Tue, 28 Oct 2014 22:21:31 +0100 (CET)

> Perhaps Randy asks what happens to default values?

I was thinking about this as well.  Isn't this a reason for not doing
normalization of YANG modules?

What problem is solved by doing normalization of a YANG module?

(I can think of a few, but they don't seem very realistic, e.g. this
would be legal but confusing:

  leaf swedish-fish {
    type enumeration {
      ...
      enum ÅL;
      enum ÅL;
      ...
    }
  }
)

/martin